org.apache.ode.jbi

## Class OdeContext

- java.lang.Object
- - org.apache.ode.jbi.OdeContext

-     public final class OdeContext
      extends java.lang.Object

  Encapsulation of all the junk needed to get the BPEL engine running.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `IM_PORT_NAME`
    `static javax.xml.namespace.QName` | `IM_SERVICE_NAME`
    `static java.lang.String` | `PM_PORT_NAME`
    `static javax.xml.namespace.QName` | `PM_SERVICE_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OdeContext()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.ode.jbi.MyEndpointReference` | `activateEndpoint(javax.xml.namespace.QName pid, Endpoint endpoint)`
    `void` | `addEndpointDoc(javax.xml.namespace.QName svcname, org.w3c.dom.Document df)`
    `long` | `calculateSizeOfService(EndpointReference epr)`
    `void` | `deactivateEndpoint(Endpoint endpoint)`
    `Mapper` | `findMapper(javax.jbi.messaging.NormalizedMessage nmsMsg, javax.wsdl.Operation op)`
    `javax.jbi.messaging.DeliveryChannel` | `getChannel()` Gets the delivery channel.
    `javax.jbi.component.ComponentContext` | `getContext()`
    `Mapper` | `getDefaultMapper()`
    `static OdeContext` | `getInstance()`
    `Mapper` | `getMapper(java.lang.String name)`
    `OdeService` | `getService(Endpoint endpoint)`
    `OdeService` | `getService(javax.xml.namespace.QName serviceName)`
    `org.w3c.dom.Document` | `getServiceDescription(javax.xml.namespace.QName svcName)`
    `javax.transaction.TransactionManager` | `getTransactionManager()`
    `void` | `registerMapper(Mapper mapper)`
    `void` | `setContext(javax.jbi.component.ComponentContext ctx)` Sets the Component context.
    `void` | `setTransactionManager(javax.transaction.TransactionManager txm)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PM_SERVICE_NAME

          public static final javax.xml.namespace.QName PM_SERVICE_NAME

    - #### PM_PORT_NAME

          public static final java.lang.String PM_PORT_NAME

      See Also:
        Constant Field Values

    - #### IM_SERVICE_NAME

          public static final javax.xml.namespace.QName IM_SERVICE_NAME

    - #### IM_PORT_NAME

          public static final java.lang.String IM_PORT_NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### OdeContext

          public OdeContext()

  - ### Method Detail

    - #### getChannel

          public javax.jbi.messaging.DeliveryChannel getChannel()

      Gets the delivery channel.
      Returns:
        delivery channel

    - #### setContext

          public void setContext(javax.jbi.component.ComponentContext ctx)

      Sets the Component context.
      Parameters:
        `ctx` - component context.

    - #### getContext

          public javax.jbi.component.ComponentContext getContext()

    - #### getInstance

          public static OdeContext getInstance()

    - #### addEndpointDoc

          public void addEndpointDoc(javax.xml.namespace.QName svcname,
                            org.w3c.dom.Document df)

    - #### getServiceDescription

          public org.w3c.dom.Document getServiceDescription(javax.xml.namespace.QName svcName)

    - #### getTransactionManager

          public javax.transaction.TransactionManager getTransactionManager()

    - #### setTransactionManager

          public void setTransactionManager(javax.transaction.TransactionManager txm)

    - #### activateEndpoint

          public org.apache.ode.jbi.MyEndpointReference activateEndpoint(javax.xml.namespace.QName pid,
                                                                Endpoint endpoint)
                                                                  throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### deactivateEndpoint

          public void deactivateEndpoint(Endpoint endpoint)
                                  throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getService

          public OdeService getService(Endpoint endpoint)

    - #### getService

          public OdeService getService(javax.xml.namespace.QName serviceName)

    - #### findMapper

          public Mapper findMapper(javax.jbi.messaging.NormalizedMessage nmsMsg,
                          javax.wsdl.Operation op)

    - #### getMapper

          public Mapper getMapper(java.lang.String name)

    - #### registerMapper

          public void registerMapper(Mapper mapper)

    - #### getDefaultMapper

          public Mapper getDefaultMapper()

    - #### calculateSizeOfService

          public long calculateSizeOfService(EndpointReference epr)